/*
 * File Archive Library
 * Copyright (C) 2000-2001 Patrizio Bruno <patrizio@dada.it>
 *
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2.1 of the License, or (at your option) any later version.
 *
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *    Read the file LICENSE for more.
 *
 */

/*
 * $Log: utils.h,v $
 * Revision 1.5  2001/05/16 16:08:17  rusty
 * *** empty log message ***
 *
 * Revision 1.4  2001/05/16 11:04:57  rusty
 *
 * some debug code removed
 * added a function displaying the internal version of the library: far_version() in utils.c
 *
 * Revision 1.3  2000/09/21 11:27:44  rusty
 *
 * bug fixes
 *
 * Revision 1.2  2000/09/20 17:43:07  rusty
 *
 * why checksums of big files seem to be corrupted?
 *
 * Revision 1.1  2000/09/20 14:10:22  rusty
 *
 * First working (basic) release
 *
 */

#ifndef	_UTILS_H_
#define	_UTILS_H_

int is_adir(const char *);
int far_checksum(FAR_INFO *, unsigned char *);
void make_list(char *, char *, char *ilist[], int);
int strcount(char *, char *);
char *strjoin(char **, int, char *);
char *far_version(void);
int far_printf(FILE *, char *, ...);

#endif	/* _UTILS_H_ */
